Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.schemas.v2
Class FindCNKResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.samcivics.schemas.v2.FindCNKResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:06:02+02:00",
               comments="JAXB RI v2.3.6")
    public class FindCNKResponse

extends ResponseType
implements Serializable

Response structure returning information on AMPP

Java class for FindCNKResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCNKResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Product" type="{urn:be:fgov:ehealth:samcivics:type:v2}ProductType" maxOccurs="unbounded"/>
             <element name="VersionNum" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindCNKResponse()`

Method Summary
`List<ProductType>` | `getProducts()` Gets the value of the products property.
`BigInteger` | `getVersionNum()` Gets the value of the versionNum property.
`void` | `setVersionNum(BigInteger value)` Sets the value of the versionNum property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindCNKResponse

    public FindCNKResponse()

Method Detail

### getProducts

    public List<ProductType> getProducts()

  Gets the value of the products property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the products property.

  For example, to add a new item, do as follows:

          getProducts().add(newItem);

  Objects of the following type(s) are allowed in the list `ProductType`

### getVersionNum

    public BigInteger getVersionNum()

  Gets the value of the versionNum property.

  Returns:
    possible object is `BigInteger`

### setVersionNum

    public void setVersionNum(BigInteger value)

  Sets the value of the versionNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.